# Fuse table compatability test

This script tests whether a newer version databend-query can read fuse table data written
by a older version databend-query.

## Usage

```shell
tests/fuse-compat/test-fuse-compat.sh <old_ver>
```

E.g. `tests/fuse-compat/test-fuse-compat.sh 0.7.151` tests if the fuse-table written
by **databend-query-0.7.151** can be read by **current** version databend-qeury.

## Prerequisites

- Current version of databend-query and databend-meta must reside in `./bins`:
    - `./bins/current/databend-query`
    - `./bins/current/databend-meta`

    Since building a binary takes several minutes,
    this step is usually done by the calling process, e.g., the CI script.


## Testing data

- Suite `tests/fuse-compat/compat-logictest/fuse_compat_write` writes data into a fuse table via an old version query.
- Suite `tests/fuse-compat/compat-logictest/fuse_compat_read` reads the data via current version query.

Fuse table maintainers update these two `logictest` scripts to let the write/read
operations cover fuse-table features.
